libstdc++: std::condition_variable_any Class Reference

libstdc++

std::condition_variable_any Class Reference
Concurrency » Condition Variables

`#include <condition_variable>`

## Public Member Functions
| condition_variable_any (const condition_variable_any &)=delete
void | notify_all () noexcept
void | notify_one () noexcept
condition_variable_any & | operator= (const condition_variable_any &)=delete
template<typename _Lock>
void | wait (_Lock &__lock)
template<typename _Lock, typename _Predicate>
void | wait (_Lock &__lock, _Predicate __p)
template<typename _Lock, typename _Rep, typename _Period>
cv_status | wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Lock, typename _Rep, typename _Period, typename _Predicate>
bool | wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<typename _Lock, typename _Clock, typename _Duration>
cv_status | wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Lock, typename _Clock, typename _Duration, typename _Predicate>
bool | wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)

## Detailed Description

condition_variable_any

Definition at line 232 of file condition_variable.

## Constructor & Destructor Documentation

## ◆ condition_variable_any()

std::condition_variable_any::condition_variable_any | ( |  | ) |
| inline

Definition at line 273 of file condition_variable.

## Member Function Documentation

## ◆ notify_all()

void std::condition_variable_any::notify_all | ( |  | ) |
| inlinenoexcept

Definition at line 287 of file condition_variable.

## ◆ notify_one()

void std::condition_variable_any::notify_one | ( |  | ) |
| inlinenoexcept

Definition at line 280 of file condition_variable.

## ◆ wait() [1/2]

template<typename _Lock>

void std::condition_variable_any::wait | ( | _Lock & | __lock | ) |
| inline

Definition at line 295 of file condition_variable.

## ◆ wait() [2/2]

template<typename _Lock, typename _Predicate>

void std::condition_variable_any::wait | ( | _Lock & | __lock,
|  | _Predicate | __p )
| inline

Definition at line 309 of file condition_variable.

## ◆ wait_for() [1/2]

template<typename _Lock, typename _Rep, typename _Period>

cv_status std::condition_variable_any::wait_for | ( | _Lock & | __lock,
|  | const chrono::duration< _Rep, _Period > & | __rtime )
| inline

Definition at line 344 of file condition_variable.

## ◆ wait_for() [2/2]

template<typename _Lock, typename _Rep, typename _Period, typename _Predicate>

bool std::condition_variable_any::wait_for | ( | _Lock & | __lock,
|  | const chrono::duration< _Rep, _Period > & | __rtime,
|  | _Predicate | __p )
| inline

Definition at line 350 of file condition_variable.

## ◆ wait_until() [1/2]

template<typename _Lock, typename _Clock, typename _Duration>

cv_status std::condition_variable_any::wait_until | ( | _Lock & | __lock,
|  | const chrono::time_point< _Clock, _Duration > & | __atime )
| inline

Definition at line 317 of file condition_variable.

## ◆ wait_until() [2/2]

template<typename _Lock, typename _Clock, typename _Duration, typename _Predicate>

bool std::condition_variable_any::wait_until | ( | _Lock & | __lock,
|  | const chrono::time_point< _Clock, _Duration > & | __atime,
|  | _Predicate | __p )
| inline

Definition at line 332 of file condition_variable.

The documentation for this class was generated from the following file:

- condition_variable